#!/bin/sh

OS_PASSWORD=$(docker exec -it $(docker ps -qf "name=emg-pvs_preprocessor") cat /run/secrets/OS_PASSWORD)

#preprocessing the images and save the results in the result bucket
docker exec -e OS_PASSWORD=$OS_PASSWORD -it $(docker ps -qf "name=emg-pvs_preprocessor") \
preprocessor preprocess --config-file testing/testing_preprocessor_config.yml KS03_AIS_PSH_1G_20160101T113020_20160101T113022_KGS_019339_75CE.tar


# gaining the necessary credentials and mapping them as env variables
swift auth --auth-version $ST_AUTH_VERSION --os-identity-api-version 3 --os-auth-url $OS_AUTH_URL \
--os-username $OS_USERNAME --os-password $OS_PASSWORD --os-tenant-name $OS_TENANT_NAME --os-tenant-id $OS_TENANT_ID \
--os-region-name $OS_REGION_NAME preprocessor_results > preprocessor_test.txt
IFS="="
while read  key value ; do

    if [ "$key" = "export OS_STORAGE_URL" ]; then
        export SWIFT_STORAGE_URL=$value
    else 
        export SWIFT_AUTH_TOKEN=$value
    fi
done < preprocessor_test.txt

gdalinfo /vsiswift/preprocessor_results/KS03_AIS_PSH_1G_20160101T113020_20160101T113022_KGS_019339_75CE.tar/K3_20160101113014_19339_02281264_L1G.tif

rm preprocessor_test.txt